## Class Swift_CharacterStream_NgCharacterStream

(line 32)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/CharacterStream/NgCharacterStream.php

##### A CharacterStream implementation which stores characters in an internal array.

- author: - Xavier De Cock <xdecock@gmail.com>

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_CharacterStream_NgCharacterStream __construct (Swift_CharacterReaderFactory $factory, unknown_type $charset)
void flushContents ()
void importByteStream (Swift_OutputByteStream $os)
void importString (string $string)
string read (int $length)
int[] readBytes (int $length)
void setCharacterReaderFactory (Swift_CharacterReaderFactory $factory)
void setCharacterSet (string $charset)
void setPointer (int $charOffset)
void write (string $chars)

#### Constructor __construct (line 105)

#### Swift_CharacterStream_NgCharacterStream __construct( Swift_CharacterReaderFactory $factory, unknown_type $charset)

##### The constructor

#### Parameters

- Swift_CharacterReaderFactory $factory:
- unknown_type $charset:

#### Info

- access - public

#### Method flushContents (line 139)

#### void flushContents( )

Implementation of:

Swift_CharacterStream::flushContents()
  Empty the stream and reset the internal pointer.

#### Info

- see - Swift_CharacterStream::flushContents()
- access - public

#### Method importByteStream (line 153)

#### void importByteStream( Swift_OutputByteStream $os)

Implementation of:

Swift_CharacterStream::importByteStream()
  Overwrite this character stream using the byte sequence in the byte stream.

#### Parameters

- Swift_OutputByteStream $os:

#### Info

- see - Swift_CharacterStream::importByteStream()
- access - public

#### Method importString (line 167)

#### void importString( string $string)

Implementation of:

Swift_CharacterStream::importString()
  Import a string a bytes into this CharacterStream, overwriting any existing data in the stream.

#### Parameters

- string $string:

#### Info

- see - Swift_CharacterStream::importString()
- access - public

#### Method read (line 179)

#### string read( int $length)

Implementation of:

Swift_CharacterStream::read()
  Read $length characters from the stream and move the internal pointer $length further into the stream.

#### Parameters

- int $length:

#### Info

- see - Swift_CharacterStream::read()
- access - public

#### Method readBytes (line 251)

#### int[] readBytes( int $length)

Implementation of:

Swift_CharacterStream::readBytes()
  Read $length characters from the stream and return a 1-dimensional array containing there octet values.

#### Parameters

- int $length:

#### Info

- see - Swift_CharacterStream::readBytes()
- access - public

#### Method setCharacterReaderFactory (line 129)

#### void setCharacterReaderFactory( Swift_CharacterReaderFactory $factory)

Implementation of:

Swift_CharacterStream::setCharacterReaderFactory()
  Set the CharacterReaderFactory for multi charset support.

##### Set the CharacterReaderFactory for multi charset support.

#### Parameters

- Swift_CharacterReaderFactory $factory:

#### Info

- access - public

#### Method setCharacterSet (line 118)

#### void setCharacterSet( string $charset)

Implementation of:

Swift_CharacterStream::setCharacterSet()
  Set the character set used in this CharacterStream.

##### Set the character set used in this CharacterStream.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method setPointer (line 267)

#### void setPointer( int $charOffset)

Implementation of:

Swift_CharacterStream::setPointer()
  Move the internal pointer to $charOffset in the stream.

#### Parameters

- int $charOffset:

#### Info

- see - Swift_CharacterStream::setPointer()
- access - public

#### Method write (line 280)

#### void write( string $chars)

Implementation of:

Swift_CharacterStream::write()
  Write $chars to the end of the stream.

#### Parameters

- string $chars:

#### Info

- see - Swift_CharacterStream::write()
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:26 +0000 by phpDocumentor 1.4.3